Firebase Model Notifier

Version Language License: BSD


Package that makes it easy to define ValueNotifier as a model and improves the affinity with riverpod and freezed. It ships with a model for Firebase.

Getting Started

Add this to your package's pubspec.yaml file:

dependencies:
  firebase_model_notifier: ^0.7.0-nullsafety

You should then run flutter pub upgrade.

Usage

import 'package:firebase_model_notifier/firebase_model_notifier.dart';

License

BSD

Libraries

firebase_model_notifier
Package to use model_notifier for Firebase. [...]